DBSetupTask (Hyperic HQ Plugin API)
Keywords: org.hyperic.tools.ant.DBSetupTask class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.tools.ant
Class DBSetupTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.hyperic.tools.ant.DBSetupTask

    public class DBSetupTask

extends org.apache.tools.ant.Task

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`DBSetupTask()`

Method Summary
`void` | `addSysproperty(org.apache.tools.ant.types.Environment.Variable sprop)` Support subelements to set System properties i.e.
`void` | `execute()`
`void` | `setAppendToSqlFile(boolean appendToSqlFile)`
`void` | `setCreate(boolean create)`
`void` | `setData(boolean data)`
`void` | `setDelete(boolean del)`
`void` | `setJdbcPassword(java.lang.String jdbcPassword)`
`void` | `setJdbcUrl(java.lang.String jdbcUrl)`
`void` | `setJdbcUser(java.lang.String jdbcUser)`
`void` | `setNoexec(boolean noexec)`
`void` | `setQuiet(boolean quiet)`
`void` | `setSqlFile(java.lang.String sqlFile)`
`void` | `setTable(java.lang.String table)`
`void` | `setTypeMap(java.io.File typeMap)`
`void` | `setUninstall(boolean uninstall)`
`void` | `setVerbose(boolean verbose)`
`void` | `setXmlFile(java.io.File xmlFile)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBSetupTask

    public DBSetupTask()

Method Detail

### setXmlFile

    public void setXmlFile(java.io.File xmlFile)

### setJdbcUrl

    public void setJdbcUrl(java.lang.String jdbcUrl)

### setJdbcUser

    public void setJdbcUser(java.lang.String jdbcUser)

### setJdbcPassword

    public void setJdbcPassword(java.lang.String jdbcPassword)

### setTypeMap

    public void setTypeMap(java.io.File typeMap)

### setVerbose

    public void setVerbose(boolean verbose)

### setQuiet

    public void setQuiet(boolean quiet)

### setData

    public void setData(boolean data)

### setUninstall

    public void setUninstall(boolean uninstall)

### setCreate

    public void setCreate(boolean create)

### setNoexec

    public void setNoexec(boolean noexec)

### setSqlFile

    public void setSqlFile(java.lang.String sqlFile)

### setAppendToSqlFile

    public void setAppendToSqlFile(boolean appendToSqlFile)

### setTable

    public void setTable(java.lang.String table)

### setDelete

    public void setDelete(boolean del)

### addSysproperty

    public void addSysproperty(org.apache.tools.ant.types.Environment.Variable sprop)

  Support subelements to set System properties i.e. <sysproperty key="foo" value="bar" />

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.